PS3 [SUCCESSFUL] 1.00 DEX on Converted "Phat" Retail PS3

Discussion in 'General PS3 Discussion' started by dazzaXx, Apr 15, 2019.

  1. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Was wondering if this was do-able, since @Joonie made the Pasta CFW which is purely DEX firmware with patches, one of them being so that it's install-able on converted retail systems.

    So if it's do-able then is it possible to patch the 1.00 DEX firmware and install on "Phat" systems that have a MinVer of 1.00?
     
  2. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Just to see what would happen, i put the stock 1.00 DEX firmware update on a USB stick to see if would be grayed out or not, and it isn't, it's install-able like any other update would be.

    screenshot_2019_04_15_13_24_09.png
     
  3. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    I even put 095.001 on there as a control test, and obviously, it is grayed out because it's lower than the minimum version that the ps3 can have.
    screenshot_2019_04_15_13_43_51.png
     
  4. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    BUMP

    I have successfully installed 1.00 DEX Official Firmware on my CECHC03 system.
     
    DeViL303 likes this.
  5. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    DeViL303 likes this.
  6. 22
    12
    32
    Galooko

    Galooko Member

    Joined:
    Dec 13, 2017
    Messages:
    22
    Likes Received:
    12
    Trophy Points:
    32
    Gender:
    Male
    From that now you can install offical New Dex Firmware.
     
    dazzaXx likes this.
  7. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Really?
     
  8. 22
    12
    32
    Galooko

    Galooko Member

    Joined:
    Dec 13, 2017
    Messages:
    22
    Likes Received:
    12
    Trophy Points:
    32
    Gender:
    Male
    I Dont know. Can you test this for US?
     
  9. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    I'll try, but im pretty sure that newer DEX firmwares have checks or something in the lv1ldr to prevent you from doing so.
     
    Galooko likes this.
  10. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Anyone got any packages that run on 1.00 or can point me to something that does? I literally have nothing to test on it with.
     
  11. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Also i have no idea what directory it is looking at for the "Install Package File" option under "System". I've tried every directory i can think of and it can't find them.
     
  12. 558
    240
    72
    kadorna2

    kadorna2 Member

    Joined:
    May 19, 2015
    Messages:
    558
    Likes Received:
    240
    Trophy Points:
    72
    Debug menu install package files installs pkgs from dev_usb000 on cex, not sure about pure dex
     
    DeViL303 likes this.
  13. 6,109
    6,928
    622
    DeViL303

    DeViL303 Developer PSX-Place Supporter

    Joined:
    Jan 23, 2016
    Messages:
    6,109
    Likes Received:
    6,928
    Trophy Points:
    622
    Gender:
    Male
    Occupation:
    Part-Time XMB Modder
    Location:
    Ireland
    You could try add package manager in an xml maybe, would not be surprised if it just worked.
     
    n00b likes this.
  14. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Thats what ive tried doing, but theres no way for me to access the flash on a version this low nor repack a .pup with an edited .xml, i cant even run the rebug toolbox bc it tells me that i need to update the system.
     
    DeViL303 likes this.
  15. 6,109
    6,928
    622
    DeViL303

    DeViL303 Developer PSX-Place Supporter

    Joined:
    Jan 23, 2016
    Messages:
    6,109
    Likes Received:
    6,928
    Trophy Points:
    622
    Gender:
    Male
    Occupation:
    Part-Time XMB Modder
    Location:
    Ireland
    Well, not that it will make much difference, but are you editing the param.sfo to say it only requires 1.00. Also try the oldest stuff out there that was built with official sdk, it would have most chance of working if anything at all will. Like blackbox ftp for example. Not sure though, it might need to be specially made with first sdk, i guess 1.00 is missing lots of functions that we had in 3.55, also not sure if keys are an issue on DEX.
     
    n00b and dazzaXx like this.
  16. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Yeah i think you're right on that one. Tried editing the PARAM.SFO to 1.00, repacking the pkg to debug so it would actually install but still nope, just kicks out either the "80010007" or "80010017" error.
     
  17. 973
    546
    172
    Naked_Snake1995

    Naked_Snake1995 Senior Member

    Joined:
    Dec 11, 2017
    Messages:
    973
    Likes Received:
    546
    Trophy Points:
    172
    Gender:
    Male
    Occupation:
    Graphic Designer
    Oh i saw a French guy doing something similar with a retail CECHC04, put Debug 1.00 on it. Shame my CECHC04 died, and i didnt managed to change the bloody capacitors, oh well it would be a great experiment.
     
    dazzaXx likes this.
  18. 6,109
    6,928
    622
    DeViL303

    DeViL303 Developer PSX-Place Supporter

    Joined:
    Jan 23, 2016
    Messages:
    6,109
    Likes Received:
    6,928
    Trophy Points:
    622
    Gender:
    Male
    Occupation:
    Part-Time XMB Modder
    Location:
    Ireland
    Not sure if you are interested in enabling widgets, but after this experiment, you could try going up to 2.80 which i think is last version to have widget support (see wiki), and see can you learn anything about them while on firmware that supports them fully. See if you can get them going and spoof them fake info etc.

    https://www.psdevwiki.com/ps3/Widgets
     
    n00b and dazzaXx like this.
  19. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Yeah sure, was just about to go to 2.00 which is apparently the first version to have these widgets, so i'll definitely check em out.
     
    DeViL303 likes this.
  20. 356
    224
    97
    dazzaXx

    dazzaXx Member

    Joined:
    Feb 4, 2018
    Messages:
    356
    Likes Received:
    224
    Trophy Points:
    97
    Gender:
    Male
    Occupation:
    XMB UI Editor/Coder, VENOM ELITE GAMING
    Location:
    United Kingdom
    Also, a cool thing i noticed is they implemented OtherOS as early as 1.50.

    EDIT: I think 1.50 is a good fw to be on to experiment with, because it's the first one that has a functional package installer (that i could find) and also working settings as well as OtherOS. (For some reason 2.00 doesn't connect to a network and even the network settings kick out an error when trying to access em.)
     
    Last edited: Apr 16, 2019
    DeViL303 likes this.

Share This Page